Bug 135983 - silent error when creating archives in locked directory
silent error when creating archives in locked directory
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-10-16 00:58 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 05:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-16 00:58:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Attempting to create an archive within an unwriteable directory causes
a silent failure.

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4 file-roller-2.6.0-1

How reproducible:

Steps to Reproduce:
1.  open "browse filesystem"
2.  navigate to a known non-writeable directory
3.  right click on a folder
4.  select "create archive"
5.  accept the proffered name by hitting "create"

Actual Results:  File Roller says "getting the file list" then goes
away.  No archive created, no error report.

Expected Results:  At a minimum, display an error explaining the
reason for the failure;  Better yet, provide options (e.g. enter root
password, provide alternate destination, etc)

Additional info:

It would be cool if the archive name dialog also included archive
options (e.g. compression type)
Comment 1 Marco Pesenti Gritti 2004-10-28 05:55:17 EDT
On fc3 I get:

Could not create the archive

You don't have permission to create an archive in this folder

Note You need to log in before you can comment on or make changes to this bug.